Subject: git-svn fetch

From: Doki Pen <[email-masked]>
Date: Fri, 29 May 2009 15:09:58 +0000 (UTC)

I'm sorry if this has been brought up before, I did look through the 
archive and didn't see it.  

I am working with a repo that has about 7000 commits and about 100 
branches/tags.  I've been using git-svn for about 4 months now and love 
it.  The problem I'm experiencing is that everytime a new branch is added, 
git svn fetch seems to download the entire history all the way from r1.  
Is this the expected behavior?  If so, why is that?  Don't we already have 
the old revisions from trunk and other branches?